Bug 1174078 - CVE-2014-8109 httpd: LuaAuthzProvider argument handling issue [fedora-all]
Summary: CVE-2014-8109 httpd: LuaAuthzProvider argument handling issue [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd
Version: 21
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jan Kaluža
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: , fst_ping=1
Depends On:
Blocks: CVE-2014-8109
TreeView+ depends on / blocked
 
Reported: 2014-12-15 05:13 UTC by Murray McAllister
Modified: 2015-06-16 07:38 UTC (History)
4 users (show)

Fixed In Version: httpd-2.4.12-1.fc21
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-02 15:17:38 UTC
Type: ---


Attachments (Terms of Use)

Description Murray McAllister 2014-12-15 05:13:18 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-12-15 05:13:23 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1174077,1174078

# Description of your update
notes=Security fix for CVE-2014-8109

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1174077,1174078

Comment 3 pjp 2015-04-09 17:36:50 UTC
Hello jkaluza@redhat.com,

You plan to fix this soon?

Comment 4 Morten Stevens 2015-05-24 11:25:11 UTC
Any news here?

Comment 5 Fedora Update System 2015-05-29 11:03:51 UTC
httpd-2.4.12-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/httpd-2.4.12-1.fc21

Comment 6 Fedora Update System 2015-05-30 15:56:07 UTC
Package httpd-2.4.12-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing httpd-2.4.12-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9216/httpd-2.4.12-1.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-06-02 15:17:38 UTC
httpd-2.4.12-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Jan Kaluža 2015-06-16 07:38:31 UTC
Removing the needinfo, because it keeps spamming me :)


Note You need to log in before you can comment on or make changes to this bug.